.brx-loading-animation {
  --brx-loader-color: #9e9e9e;
  display: grid;
  height: fit-content;
  max-height: inherit;
  min-height: inherit;
  place-content: center;
  position: relative;
  width: fit-content;
}

.brx-loading-ring {
  display: inline-block;
  height: 48px;
  position: relative;
  width: 48px;
}
.brx-loading-ring div {
  animation: brx-loading-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border: 5px solid var(--brx-loader-color);
  border-color: var(--brx-loader-color) transparent transparent transparent;
  border-radius: 50%;
  box-sizing: border-box;
  display: block;
  height: 38px;
  margin: 5px;
  position: absolute;
  width: 38px;
}
.brx-loading-ring div:first-child {
  animation-delay: -0.45s;
}
.brx-loading-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.brx-loading-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes brx-loading-ring {
  0% {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(1turn);
  }
}
